## skkdic 20201226

=== debian/changelog ===
skkdic (20201226-1) unstable; urgency=medium

  * New upstream version 20201226
  * Update debian/copyright
    - SKK-JISYO.pinyin is under GPL-1+
  * Install SKK-JISYO.pinyin by skkdic-extra
  * Update description of skkdic-extra

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 27 Dec 2020 09:50:26 +0900

skkdic (20200404-2) unstable; urgency=medium

  * Switch CDBS to dh with debhelper-compat (= 13)
  * Update description for skkdic-extra
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 14 Dec 2020 22:45:01 +0900

## skkdic 20210106

=== Makefile ===
# Makefile: makefile for SKK Dictionaries.
#
# Maintainer: SKK Development Team <skk@ring.gr.jp>

COUNT	  = skkdic-count
CURL      = curl
DATE	  = date
EMACS	  = emacs --batch --directory ./
EXPR	  = skkdic-expr
EXPR2	  = skkdic-expr2
GAWK	  = LC_ALL=C gawk
GREP	  = grep
SED	  = sed
GZIP	  = gzip -9
MD5	  = md5
MV	  = mv --force
RM	  = /bin/rm -f
RUBY	  = ruby -I $(TOOLS_DIR)/filters
SORT	  = skkdic-sort
TAR	  = tar
UNZIP	  = unzip -o
ZIPDIC_DIR  = ./zipcode

DIC2PDB = dic2pdb
DICCOMPACT = diccompact.rb
KANADIC2ROMADIC = kanadic2romadic
NKF = nkf
SKKDIC2KANADIC = skkdic2kanadic
TOOLS_DIR = ../tools

SRCS	  = SKK-JISYO.L SKK-JISYO.ML SKK-JISYO.M SKK-JISYO.S SKK-JISYO.JIS2 \
		SKK-JISYO.JIS3_4 SKK-JISYO.pubdic+ SKK-JISYO.wrong.annotated \
		SKK-JISYO.okinawa SKK-JISYO.geo SKK-JISYO.jinmei SKK-JISYO.law \
		SKK-JISYO.mazegaki SKK-JISYO.assoc SKK-JISYO.itaiji \
		SKK-JISYO.itaiji.JIS3_4 SKK-JISYO.china_taiwan \
		SKK-JISYO.propernoun SKK-JISYO.station SKK-JISYO.requested \
		SKK-JISYO.fullname SKK-JISYO.JIS2004 SKK-JISYO.lisp
# SKK-JISYO.noregist SKK-JISYO.hukugougo
BIN_SRCS  = #PBinlineDB.pdb
ALL_SRCS  = $(SRCS) $(BIN_SRCS) SKK-JISYO.wrong SKK-JISYO.L.unannotated
# SKK-JISYO.L+ SKK-JISYO.L.taciturn SKK-JISYO.total

PYTHON    = python
SKK2CDB   = skk2cdb.py -f
CDB_SOURCE = ./SKK-JISYO.L
CDB_TARGET = ./`basename $(CDB_SOURCE)`.cdb

clean:
	$(RM) *.gz* *~ `find . -name '*~'` `find . -name '.*~'` `find . -name '.#*'` \
	*.unannotated SKK-JISYO.wrong PBinlineDB.pdb *.tmp *.w PBinlineDB.dic *.taciturn SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode SKK-JISYO.L.header SKK-JISYO.china_taiwan \
	emoji-list.txt

archive: gzip

unannotated: SKK-JISYO.L.unannotated SKK-JISYO.wrong SKK-JISYO.china_taiwan.unannotated

SKK-JISYO.L.unannotated: SKK-JISYO.L
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L > SKK-JISYO.L.unannotated

SKK-JISYO.wrong: SKK-JISYO.wrong.annotated
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.wrong.annotated > SKK-JISYO.wrong

SKK-JISYO.china_taiwan: csv/china_taiwan.csv
	$(RUBY) $(TOOLS_DIR)/convert2skk/ctdicconv.rb csv/china_taiwan.csv > SKK-JISYO.tmp
	$(EXPR) SKK-JISYO.tmp | $(SORT) - > SKK-JISYO.1.tmp
	cat SKK-JISYO.china_taiwan.header SKK-JISYO.1.tmp > SKK-JISYO.china_taiwan
	$(RM) SKK-JISYO.tmp SKK-JISYO.1.tmp

SKK-JISYO.china_taiwan.unannotated: SKK-JISYO.china_taiwan csv/china_taiwan.csv
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.china_taiwan > SKK-JISYO.china_taiwan.unannotated

wrong_check: SKK-JISYO.wrong
	for file in $(SRCS) ; do \
	  if [ $$file != "SKK-JISYO.wrong.annotated" ] ; then \
	    $(EXPR) $$file - SKK-JISYO.wrong > $$file.tmp ;\
	    $(EXPR) $$file - $$file.tmp > $$file.w ;\
	    $(RM) $$file.tmp ;\
	    $(COUNT) $$file.w | $(GREP) -v '0 candidate' | \
	      sed -e 's/\.w:/:/' -e 's/\([1-9]\)/\1 wrong/' ;\
	    if [ $$? != 0 ]; then \
	      $(RM) $$file.w ; \
	    fi ;\
	  fi ;\
	done

PBinlineDB.dic: clean SKK-JISYO.L.unannotated
	$(SKKDIC2KANADIC) SKK-JISYO.L.unannotated | $(KANADIC2ROMADIC) - | $(NKF) -s > PBinlineDB.dic

PBinlineDB_compact.pdb: PBinlineDB.dic
	 $(DICCOMPACT) PBinlineDB.dic | $(DIC2PDB) - PBinlineDB.pdb

PBinlineDB_full.pdb: PBinlineDB.dic
	$(DIC2PDB) PBinlineDB.dic PBinlineDB.pdb

PBinlineDB.pdb: PBinlineDB_full.pdb
	$(RM) PBinlineDB.dic

gzip: clean $(ALL_SRCS)
	for file in $(ALL_SRCS); do \
	  $(GZIP) -fc $$file >$$file.gz ;\
	  $(MD5) $$file.gz >$$file.gz.md5; \
	done
	$(TAR) cvpf SKK-JISYO.edict.tar SKK-JISYO.edict edict_doc.html
	$(GZIP) -f SKK-JISYO.edict.tar
	$(MD5) SKK-JISYO.edict.tar.gz > SKK-JISYO.edict.tar.gz.md5
	$(TAR) cvzpf zipcode.tar.gz --exclude-from=./skk.ex ./zipcode
	$(MD5) zipcode.tar.gz >zipcode.tar.gz.md5

SKK-JISYO.L+: SKK-JISYO.L SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
	$(EXPR2) SKK-JISYO.L + SKK-JISYO.tmp | cat SKK-JISYO.L.header - > SKK-JISYO.L+
	$(RM) SKK-JISYO.tmp SKK-JISYO.addition

SKK-JISYO.total: SKK-JISYO.L SKK-JISYO.geo SKK-JISYO.station SKK-JISYO.jinmei SKK-JISYO.propernoun SKK-JISYO.fullname SKK-JISYO.law SKK-JISYO.okinawa SKK-JISYO.hukugougo SKK-JISYO.assoc SKK-JISYO.notes SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/conjugation.rb -Cpox SKK-JISYO.notes > SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/asayaKe.rb -p SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/complete-numerative.rb -pU SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -K -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
	$(RUBY) $(TOOLS_DIR)/filters/abbrev-convert.rb -w -s 2 SKK-JISYO.L >> SKK-JISYO.tmp
	# order is very important here
	$(EXPR2) SKK-JISYO.geo + SKK-JISYO.station + SKK-JISYO.jinmei + SKK-JISYO.propernoun + SKK-JISYO.fullname + SKK-JISYO.tmp + SKK-JISYO.law + SKK-JISYO.okinawa + SKK-JISYO.hukugougo + SKK-JISYO.assoc - SKK-JISYO.L > SKK-JISYO.addition
	# why eliminating SKK-JISYO.L once? -- to not add too noisy
	# annotations from SKK-JISYO.jinmei and so on.
	$(EXPR2) SKK-JISYO.L + SKK-JISYO.addition | cat SKK-JISYO.L.header - > SKK-JISYO.total
	$(RM) SKK-JISYO.tmp SKK-JISYO.addition

SKK-JISYO.total+zipcode: SKK-JISYO.total $(ZIPDIC_DIR)/SKK-JISYO.zipcode $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode SKK-JISYO.L.header
	$(EXPR2) SKK-JISYO.total + $(ZIPDIC_DIR)/SKK-JISYO.zipcode + $(ZIPDIC_DIR)/SKK-JISYO.office.zipcode | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode

SKK-JISYO.L.taciturn: SKK-JISYO.L SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L.taciturn

SKK-JISYO.L+.taciturn: SKK-JISYO.L+ SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.L+ | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.L+.taciturn

SKK-JISYO.total.taciturn: SKK-JISYO.total SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total.taciturn

SKK-JISYO.total+zipcode.taciturn: SKK-JISYO.total+zipcode SKK-JISYO.L.header
	$(RUBY) $(TOOLS_DIR)/filters/annotation-filter.rb -d SKK-JISYO.total+zipcode | $(EXPR2) | cat SKK-JISYO.L.header - > SKK-JISYO.total+zipcode.taciturn

SKK-JISYO.L+.unannotated: SKK-JISYO.L+
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.L+ > SKK-JISYO.L+.unannotated

SKK-JISYO.total.unannotated: SKK-JISYO.total
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total > SKK-JISYO.total.unannotated

SKK-JISYO.total+zipcode.unannotated: SKK-JISYO.total+zipcode
	$(GAWK) -f $(TOOLS_DIR)/unannotation.awk SKK-JISYO.total+zipcode > SKK-JISYO.total+zipcode.unannotated

SKK-JISYO.L.header: SKK-JISYO.L
	echo ';; (This dictionary was automatically generated from SKK dictionaries)' > SKK-JISYO.L.header
	$(SED) -n '/^;; okuri-ari entries./q;p' SKK-JISYO.L >> SKK-JISYO.L.header

unannotated-all: unannotated SKK-JISYO.L+.unannotated SKK-JISYO.total.unannotated SKK-JISYO.total+zipcode.unannotated

taciturn-all: SKK-JISYO.L.taciturn SKK-JISYO.L+.taciturn SKK-JISYO.total.taciturn SKK-JISYO.total+zipcode.taciturn

annotated-all: SKK-JISYO.L+ SKK-JISYO.total SKK-JISYO.total+zipcode

all: annotated-all unannotated-all taciturn-all

cdb:
	$(PYTHON) $(TOOLS_DIR)/$(SKK2CDB) $(CDB_TARGET) $(CDB_SOURCE)


# Unicode emoji

VER = 36.1

SKK-JISYO.emoji: SKK-JISYO.emoji.en SKK-JISYO.emoji.ja SKK-JISYO.emoji.kana unicode-license.txt
	$(EXPR2) SKK-JISYO.emoji.en + SKK-JISYO.emoji.ja + SKK-JISYO.emoji.kana \
	  > SKK-JISYO.emoji.tmp
	echo '-*- mode: fundamental; coding: utf-8 -*-' | cat - unicode-license.txt | $(SED) "s/^/;; /g" | cat - SKK-JISYO.emoji.tmp > SKK-JISYO.emoji
	$(RM) SKK-JISYO.emoji.en SKK-JISYO.emoji.ja en.xml ja.xml
	$(RM) SKK-JISYO.emoji.tmp SKK-JISYO.emoji.kana

SKK-JISYO.emoji.en: cldr-common.zip
	test -f en.xml || $(UNZIP) -p cldr-common.zip "*common/annotations/en.xml" > en.xml
	$(EMACS) --load emoji.el --funcall en > SKK-JISYO.emoji.en

SKK-JISYO.emoji.ja: cldr-common.zip
	test -f ja.xml || $(UNZIP) -p cldr-common.zip "*common/annotations/ja.xml" > ja.xml
	$(EMACS) --load emoji.el --funcall ja > SKK-JISYO.emoji.ja

SKK-JISYO.emoji.kana: SKK-JISYO.emoji.kanji
	$(EMACS) --load emoji.el --funcall kanji-to-kana > SKK-JISYO.emoji.kana
	$(RM) SKK-JISYO.emoji.kanji

SKK-JISYO.emoji.kanji: cldr-common.zip
	test -f ja.xml || $(UNZIP) -p cldr-common.zip "*common/annotations/ja.xml" > ja.xml
	$(EMACS) --load emoji.el --funcall kanjionly | $(EXPR2) > SKK-JISYO.emoji.kanji

unicode-license.txt: cldr-common.zip
	test -f unicode-license.txt || $(UNZIP) -p cldr-common.zip "*unicode-license.txt" > unicode-license.txt

cldr-common.zip:
	test -f cldr-common.zip || $(CURL) -o cldr-common.zip https://unicode.org/Public/cldr/$(VER)/cldr-common-$(VER).zip

# http://www.edrdg.org/jmdict/edict.html
#   ELECTRONIC DICTIONARY RESEARCH AND DEVELOPMENT GROUP GENERAL DICTIONARY LICENCE STATEMENT
#   http://www.edrdg.org/edrdg/licence.html

SKK-JISYO.edict2: edict2u
	$(MV) SKK-JISYO.edict2 SKK-JISYO.edict2.ORIG
	$(EMACS) --load ../tools/convert2skk/edict2toskk.el --funcall main | $(EXPR2) > SKK-JISYO.edict2.tmp
	$(EMACS) --load ../tools/convert2skk/edict2toskk.el --funcall after
	$(MV) SKK-JISYO.edict2.tmp SKK-JISYO.edict2
	$(GZIP) -fc SKK-JISYO.edict2 > SKK-JISYO.edict2.gz
	$(MD5) SKK-JISYO.edict2.gz > SKK-JISYO.edict2.gz.md5

edict2u:
	$(CURL) -o edict2u.gz http://ftp.monash.edu/pub/nihongo/edict2u.gz
	$(GZIP) --force --decompress edict2u.gz


# Unicode Ideographic Variation Database (IVD)

SKK-JISYO.ivd: IVD_Sequences.txt IVD_Collections.txt
	$(EMACS) --load ivd.el --funcall make-ivd-jisyo | $(EXPR2) > SKK-JISYO.ivd.tmp
	echo '-*- mode: fundamental; coding: utf-8 -*-' | cat - unicode-license.txt | $(SED) "s/^/;; /g" | cat - SKK-JISYO.ivd.tmp > SKK-JISYO.ivd
	$(RM) SKK-JISYO.ivd.tmp

IVD_Sequences.txt:
	test -f IVD_Sequences.txt || $(CURL) -o IVD_Sequences.txt https://unicode.org/ivd/data/2017-12-12/IVD_Sequences.txt

IVD_Collections.txt:
	test -f IVD_Collections.txt || $(CURL) -o IVD_Collections.txt https://unicode.org/ivd/data/2017-12-12/IVD_Collections.txt

# end of Makefile.

=== debian/changelog ===
skkdic (20210106-2) unstable; urgency=medium

  * New patch 010_assoc.patch to fix incorrect words in SKK-JISYO.assoc
  * Adjust the license text of CC-BY-SA-3.0 in debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 17 Feb 2021 19:21:49 +0900

skkdic (20210106-1) unstable; urgency=medium

  * New upstream version 20210106
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Wed, 20 Jan 2021 19:29:06 +0900

=== debian/control ===
Source: skkdic
Section: utils
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends-Indep: tinycdb
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/skkdic
Vcs-Git: https://salsa.debian.org/debian/skkdic.git
Homepage: https://skk-dev.github.io/dict/
Rules-Requires-Root: no

Package: skkdic
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic-cdb, skkdic-extra
Conflicts: skk (<= 10.39-2)
Enhances: skkserv
Multi-Arch: foreign
Description: standard dictionary file for SKK
 This package provides `SKK-JISYO', the standard dictionary file for SKK
 Japanese input systems.  Currently, this package contains the large size
 dictionary file `SKK-JISYO.L' as the standard dictionary file.
 .
 For faster access, install the skkdic-cdb package which provides the
 constant database (cdb) file of this dictionary.  Other dictionary files,
 such as zipcode, personal names, small size, are provided by the
 skkdic-extra package.
 .
 To merge or edit dictionaries, install the skktools package.  To use
 dictionaries more conveniently, several SKK dictionary servers are
 available, such as dbskkd-cdb and skksearch.

Package: skkdic-extra
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic, skkdic-cdb
Conflicts: skk (<= 10.39-2)
Enhances: skkserv
Multi-Arch: foreign
Description: optional non-standard dictionary files for SKK
 This package provides various dictionary files, such as `SKK-JISYO.zipcode',
 `SKK-JISYO.geo', `SKK-JISYO.station', `SKK-JISYO.emoji', `SKK-JISYO.jinmei',
 `SKK-JISYO.fullname', `SKK-JISYO.law', `SKK-JISYO.pinyin', and so on, except
 `SKK-JISYO.L' as the standard dictionary file provided by the skkdic package,
 for SKK Japanese input systems.
 .
 To merge or edit dictionaries, install the skktools package.  To use
 dictionaries more conveniently, several SKK dictionary servers are
 available, such as dbskkd-cdb and skksearch.

Package: skkdic-cdb
Architecture: all
Depends: ${misc:Depends}
Suggests: skktools, skkdic, skkdic-extra
Conflicts: dbskkd-cdb (<< 1:1.01-7), dbskkd-cdb-dic
Enhances: skkserv
Multi-Arch: foreign
Description: standard dictionary file for SKK in cdb format for faster access
 This package provides `SKK-JISYO.cdb', the standard dictionary file for
 SKK Japanese input systems, converted to constant database (cdb) for
 faster access.  Currently, this package contains the large size dictionary
 file `SKK-JISYO.L.cdb' as the standard dictionary file.
 .
 Since this dictionary is a cdb file, it requires cdb support for accessing.
 SKK dictionary servers dbskkd-cdb and skksearch can handle cdb-style
 dictionaries, but ddskk cannot in itself.
 .
 The original plain text version of this dictionary is provided by the
 skkdic package.  Other dictionary files, such as zipcode, personal names,
 small size, are provided by the skkdic-extra package.  To merge or edit
 dictionaries, install the skktools package.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=%cd" \
https://github.com/skk-dev/dict HEAD debian uupdate

## skkdic 20230109

=== Makefile ===
--- 
+++ 
@@ -207,8 +207,8 @@
 
 SKK-JISYO.edict2: edict2u
 	$(MV) SKK-JISYO.edict2 SKK-JISYO.edict2.ORIG
-	$(EMACS) --load ../tools/convert2skk/edict2toskk.el --funcall main | $(EXPR2) > SKK-JISYO.edict2.tmp
-	$(EMACS) --load ../tools/convert2skk/edict2toskk.el --funcall after
+	$(EMACS) --load $(TOOLS_DIR)/convert2skk/edict2toskk.el --funcall main | $(EXPR2) > SKK-JISYO.edict2.tmp
+	$(EMACS) --load $(TOOLS_DIR)/convert2skk/edict2toskk.el --funcall after
 	$(MV) SKK-JISYO.edict2.tmp SKK-JISYO.edict2
 	$(GZIP) -fc SKK-JISYO.edict2 > SKK-JISYO.edict2.gz
 	$(MD5) SKK-JISYO.edict2.gz > SKK-JISYO.edict2.gz.md5

=== debian/changelog ===
skkdic (20230109-1) unstable; urgency=medium

  * New upstream version 20230109
  * Drop debian/patches
  * Update Standards-Version to 4.6.2
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Mon, 09 Jan 2023 09:17:44 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Tatsuya Kinoshita <tats@debian.org>
 Build-Depends-Indep: tinycdb
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/skkdic
 Vcs-Git: https://salsa.debian.org/debian/skkdic.git
 Homepage: https://skk-dev.github.io/dict/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

%:
	dh $@

override_dh_update_autotools_config override_dh_autoreconf override_dh_auto_configure override_dh_auto_test override_dh_auto_install override_dh_auto_clean:

override_dh_auto_build: SKK-JISYO.L.cdb SKK-JISYO.L.utf8

%.cdb: %
	sh debian/make-skkdic-cdb $< $@

%.utf8: %
	iconv -f euc-jisx0213 -t utf-8 $< | LC_ALL=C sed 's/coding: euc-jp/coding: utf-8/' >$@

override_dh_clean:
	dh_clean
	rm -f *.utf8
	rm -f *.cdb
	rm -f *.tmp # cdb's intermediate products

get-orig-source:
	wget -O upstream.tar.gz https://github.com/skk-dev/dict/tarball/master
	mv -f upstream.tar.gz `LC_ALL=C tar ztvf upstream.tar.gz --utc | perl -ne 'if (/ (\d\d\d\d)-(\d\d)-(\d\d) /) {print "skkdic_$$1$$2$$3.orig.tar.gz\n"; exit}'`
